[Previous] [Next] [Contents]

## `PART::Part2Border` -- border of a given partition

#### Call(s)

`PART::Part2Border(part <,alphabet=m>)`

#### Parameters

`part` | - | a partition

#### Options

`alphabet=m` | - | returns the same, m[1] denoting horizontal steps, m[2] vertical ones

Use the syntax `hold(identifier)`, instead of `identifier`, if one of the identifiers above is already defined.

#### Introduction

The `PART::Part2Border` function gives the border of the diagram of a partition `part`.

The border is a list of 0 (horizontal steps) and 1 (vertical steps). border of part, 1 a vertical one.

#### Example 1

    >> muEC::PART::Part2Border( [6,4,4,2,1] );

                         [0, 1, 0, 1, 0, 0, 1, 1, 0, 0, 1]

    >> muEC::PART::Part2Border( [6,4,4,2,1], alphabet=[a,b] );

                         [a, b, a, b, a, a, b, b, a, a, b]

#### Related Functions

`Border2Part`, `Part2Diagonal`, `Part2Conjugate`, `Part2Mat`, `TYP::IsBorder`, `TYP::IsPart`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package